<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::image_display_functor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1image__display__functor.html">image_display_functor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1impl_1_1image__display__functor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::image_display_functor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af2210c81799e900275bb5ead60838526"><td class="memItemLeft" align="right" valign="top"><a id="af2210c81799e900275bb5ead60838526"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>image_display_functor</b> (const std::string &amp;str_, const <a class="el" href="classdlib_1_1member__function__pointer.html">member_function_pointer</a>&lt; const std::string &amp; &gt; &amp;mfp_)</td></tr>
<tr class="separator:af2210c81799e900275bb5ead60838526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02c5c348dcba0b0575f937a12f0520ce"><td class="memItemLeft" align="right" valign="top"><a id="a02c5c348dcba0b0575f937a12f0520ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> () const</td></tr>
<tr class="separator:a02c5c348dcba0b0575f937a12f0520ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a68fe7942165908e3c920891391f2a6bf"><td class="memItemLeft" align="right" valign="top"><a id="a68fe7942165908e3c920891391f2a6bf"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>str</b></td></tr>
<tr class="separator:a68fe7942165908e3c920891391f2a6bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a23ac1ab56c0660f1116478838ab054"><td class="memItemLeft" align="right" valign="top"><a id="a4a23ac1ab56c0660f1116478838ab054"></a>
const <a class="el" href="classdlib_1_1member__function__pointer.html">member_function_pointer</a>&lt; const std::string &amp; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mfp</b></td></tr>
<tr class="separator:a4a23ac1ab56c0660f1116478838ab054"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>widgets.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
